group.list:
  title: 'List'
  base_route: 'entity.group.collection'
  route_name: 'entity.group.collection'

group.types:
  title: 'Group types'
  base_route: 'entity.group.collection'
  route_name: 'entity.group_type.collection'

group.settings:
  title: 'Settings'
  base_route: 'entity.group.collection'
  route_name: 'group.settings'

group.view:
  title: 'View'
  base_route: 'entity.group.canonical'
  route_name: 'entity.group.canonical'

group.edit_form:
  title: 'Edit'
  base_route: 'entity.group.canonical'
  route_name: 'entity.group.edit_form'

group.delete_form:
  title: 'Delete'
  base_route: 'entity.group.canonical'
  route_name: 'entity.group.delete_form'
  weight: 10

group.content:
  title: 'All entities'
  base_route: 'entity.group.canonical'
  route_name: 'entity.group_content.collection'
  weight: 15

group_type.edit_form:
  title: 'Edit'
  base_route: 'entity.group_type.edit_form'
  route_name: 'entity.group_type.edit_form'

group_type.permissions_form:
  title: 'Permissions'
  route_name: 'entity.group_type.permissions_form'
  base_route: 'entity.group_type.edit_form'
  weight: 15

group_type.permissions_form.basic:
  title: 'Basic permissions'
  route_name: 'entity.group_type.permissions_form'
  base_route: 'entity.group_type.edit_form'
  parent_id: 'group_type.permissions_form'

group_type.permissions_form.outsider:
  title: 'Advanced outsider permissions'
  route_name: 'entity.group_type.outsider_permissions_form'
  base_route: 'entity.group_type.edit_form'
  parent_id: 'group_type.permissions_form'
  weight: 5

group_type.roles_list:
  title: 'Roles'
  route_name: 'entity.group_role.collection'
  base_route: 'entity.group_type.edit_form'
  weight: 20

group_type.content_plugins:
  title: 'Content'
  base_route: 'entity.group_type.edit_form'
  route_name: 'entity.group_type.content_plugins'
  weight: 25

group_content_type.edit_form:
  title: 'Configure'
  base_route: 'entity.group_content_type.edit_form'
  route_name: 'entity.group_content_type.edit_form'

group_role.edit_form:
  title: 'Edit'
  base_route: 'entity.group_role.edit_form'
  route_name: 'entity.group_role.edit_form'

group_role.delete_form:
  title: 'Delete'
  route_name: 'entity.group_role.delete_form'
  base_route: 'entity.group_role.edit_form'
  weight: 5

group_role.permissions_form:
  title: 'Permissions'
  route_name: 'entity.group_role.permissions_form'
  base_route: 'entity.group_role.edit_form'
  weight: 10

group_content.view:
  title: 'View'
  base_route: 'entity.group_content.canonical'
  route_name: 'entity.group_content.canonical'

group_content.edit:
  title: 'Edit'
  base_route: 'entity.group_content.canonical'
  route_name: 'entity.group_content.edit_form'
  weight: 5

group_content.delete:
  title: 'Remove'
  base_route: 'entity.group_content.canonical'
  route_name: 'entity.group_content.delete_form'
  weight: 10
